def cul_de_chouette(valeur): 
    res=list() 
    for i in range(1, 7): 
        for j in range(i, 7): 
            for k in range(j, 7): 
                if (i+j+k) == valeur: 
                    res.append([i, j, k]) 
    return res 


print(cul_de_chouette(7))